Opened 4 months ago

Closed 3 months ago

#3025 closed help (fixed)

JULES and WFDEI driving data

Reported by: pmcguire Owned by: pmcguire
Component: JULES Keywords: WFDEI driving data, JULES
Cc: rfu, omuller Platform: JASMIN
UM Version:

Description

Hi Patrick,

JULES is giving me grief! Have you ever come across this error?:

[FATAL ERROR] datetime_create: year=2012, month=12, day=31, hour=21, minute=0, sec=0 \\\
is not a valid date

This is the error I get when I try to run the rose suite with WFDEI. I’ve tried changing the date of the end date of the driving data to a day earlier in case there wasn’t enough data in the last file for JULES to do all its interpolating, but whatever I do, I get the same error. Do you have any ideas what this might be? Do you think I may have some other switches elsewhere set incorrectly, this is Omar’s suite originally (set up to run with the Hadgem forcing) that I pointed to the WFDEI just to see if I could get it running – which I could for a couple of days, but not for any longer it seems!

Many thanks,

Becky

Change History (12)

comment:1 Changed 4 months ago by pmcguire

  • Cc rfu added; rfu@… removed
  • Status changed from new to accepted

comment:2 Changed 4 months ago by pmcguire

Hi Becky
Can you give me permissions to read your roses and cylc-run directory on JASMIN?
You will likely need to give me permissions to read your home directory on JASMIN as well, in order to give me permissions to read the roses and cylc-run directory?
You might want to make sure you don't have any sensitive or confidential things in your home directory if you do that.
Patrick

comment:3 Changed 4 months ago by pmcguire

  • Cc o.v.muller@… added

Hi Becky:
This is the [namelist:jules_drive] section of app/jules/rose-app.conf in Omar Müller's JULES-BCJ/Rivers suite u-bd134 that is forced by HadGEM suite u-ai685 N512 data. Are you using his u-bd134 suite? Or another suite?

[namelist:jules_drive]
data_end='2012-12-30 21:00:00'
data_period=10800
data_start='1979-01-01 00:00:00'
file='/group_workspaces/jasmin2/nexcs/ovmuller/ \\
drive-file-GCM_u-ai685_N512_to_05deg-79-12.txt'
interp='nb','nb','nf','i','i','i','i','i'
l_daily_disagg=.false.
!!l_disagg_const_rh=.false.
l_imogen=.false.
nfiles=408
nvars=8
!!precip_disagg_method=1
read_list=.true.
tpl_name='SWdown_N512','LWdown_N512','Precip_N512',
        ='Tair_N512','Wind_U_N512','Wind_V_N512','PSurf_N512',
        ='Qair_N512'
var='sw_down','lw_down','precip','t','u','v','pstar','q'
var_name='rsds','rlds','pr','tas','uas','vas','ps','huss'
!!z1_tq_file=''
z1_tq_in=2.0
!!z1_tq_var_name=''
z1_tq_vary=.false.
z1_uv_in=10.0

This is the [namelist:jules_drive] section of the more recent suite from Omar (u-bh031) that uses WFDEI driving instead of HadGEM driving

[namelist:jules_drive]
data_end='2012-12-31 21:00:00'
data_period=10800
data_start='1979-01-01 00:00:00'
file='/group_workspaces/jasmin2/ncas_generic/users/pmcguire/ \\
jules_ancil/nancil_test_pljules-vn4.4/drive-file-WFDEI-79-12.txt'
interp='nb','nb','nf','nf','i','i','i','i'
l_daily_disagg=.false.
!!l_disagg_const_rh=.false.
l_imogen=.false.
nfiles=408
nvars=8
!!precip_disagg_method=1
read_list=.true.
tpl_name='SWdown_WFDEI','LWdown_WFDEI','Rainf_WFDEI_GPCC',
        ='Snowf_WFDEI_GPCC','Tair_WFDEI','Wind_WFDEI','PSurf_WFDEI',
        ='Qair_WFDEI'
var='sw_down','lw_down','tot_rain','tot_snow','t','wind',
   ='pstar','q'
var_name='SWdown','LWdown','Rainf','Snowf','Tair','Wind','PSurf',
        ='Qair'
!!z1_tq_file=''
z1_tq_in=2.0
!!z1_tq_var_name=''
z1_tq_vary=.false.
z1_uv_in=10.0

At least for the data_end variable, the format looks quite the same, except for ending on December 30th for the HadGEM and December 31st for the WFDEI. The HadGEM is with a 360-day calendar (with 30 days for each of the 12 months), so that is the difference there. Omar decided to use different driving variables, with different interpolation when he was running with HadGEM data instead of WFDEI data.

Maybe you can check in your copy of Omar's suite if you set the calendar properly in [namelist:jules_time] when you switched to WFDEI? In his u-bd134 suite with HadGEM forcing data, he has:

[namelist:jules_time]
l_360=.true.
main_run_end='2012-12-30 21:00:00'
main_run_start='1998-01-01 00:00:00'
timestep_len=1800

Whereas, in his u-bh031 suite with WFDEI forcing data, he has:

[namelist:jules_time]
l_360=.false.
l_leap=.true.
main_run_end='2012-12-31 21:00:00'
main_run_start='1979-01-01 00:00:00'
timestep_len=1800

If that's not the problem, I do have a record that in one global JULES suite that I ran (u-as052) with WFDEI forcing data, that in order to get a complete run that had output for the entire 2012 year (out of all the 1979-2012 WFDEI forcing years), that I needed to switch the main_run_end from '2012-12-31 21:00:00' to '2012-12-31 18:00:00'. I believe this is because of the interpolation being used, and it means that the last 6 hours of data for 2012 is not produced. Pier Luigi Vidale had previously been having the same problem when he was running standalone JULES with namelists very similar to these namelists and with the same WFDEI driving data on the University of Reading Dept. of Meteorology cluster. I don't immediately see the same problem in suites later than u-as052, so maybe I fixed this problem in a different way.

Does this help?
Does this solve your problem?
Patrick

comment:4 Changed 4 months ago by pmcguire

  • Cc muller added; o.v.muller@… removed

comment:5 Changed 4 months ago by pmcguire

  • Cc omuller added; muller removed

comment:6 Changed 4 months ago by rfu

Hi Patrick,

Thanks for that. Yes, I noticed yesterday that I didn't have the appropriate switches set for l_360 and l_leaps. I also had to change the end of the main run to get the suite to run and I think it is to do with the interpolation. So I think I have the time issue sorted (fingers crossed)! But now the suite refuses to recognise multiple output profiles that I would like to output, and I can't see why - the rose-app.conf looks like other runs I have that output multiple profiles ok! I would like 4 output profiles, and it says nprofiles=4, but only puts 1 profile in the output.nml, and in the rose suite editor for the other 3 profiles it says they are 'orphaned sections'. I think you should be able to see in my home directory and rose directory. The suite is here: /home/users/rfuller01/roses/u-bm697-china-A1

Here is what I have in the rose-app.conf for jules_output:

[namelist:jules_output]
dump_period=1
nprofiles=1
output_dir='/work/scratch/beckyoliver/jules_offline_wfdei_output/china'
run_id='vn5.5_dbcl-WFDEI-u-bm697-china-A1'

[namelist:jules_output_profile(1)]
file_period=-2
nvars=19
!!output_end='2012-12-29 23:00:00'
output_main_run=.true.
output_period=21600
output_spinup=.false.
!!output_start='1979-01-01 00:00:00'
output_type=19*'M'
profile_name='6-hourly'
var='esoil_gb','npp_gb','gpp_gb','smc_avail_tot','t_soil',

='ftl_gb','fsmc_gb','tstar_gb','latent_heat','pstar',
='rad_net','precip','et_stom_gb','sw_net','lw_net',
='smc_avail_top','smcl','fqw_gb','tl1'

var_name=19*

[namelist:jules_output_profile(2)]
file_period=-2
nvars=19
output_end='2012-12-29 00:00:00'
output_main_run=.true.
output_period=86400
output_spinup=.true.
output_start='1979-01-01 00:00:00'
output_type=19*'M'
profile_name='day'
var='esoil_gb','npp_gb','gpp_gb','smc_avail_tot','t_soil',

='ftl_gb','fsmc_gb','tstar_gb','latent_heat','pstar',
='rad_net','precip','et_stom_gb','sw_net','lw_net',
='smc_avail_top','smcl','fqw_gb','tl1'

var_name=19*

[namelist:jules_output_profile(3)]
file_period=-2
nvars=19
output_end='2012-12-29 00:00:00'
output_main_run=.true.
output_period=-1
output_spinup=.true.
output_start='1979-01-01 00:00:00'
output_type=19*'M'
profile_name='month'
var='esoil_gb','npp_gb','gpp_gb','smc_avail_tot','t_soil',

='ftl_gb','fsmc_gb','tstar_gb','latent_heat','pstar',
='rad_net','precip','et_stom_gb','sw_net','lw_net',
='smc_avail_top','smcl','fqw_gb','tl1'

var_name=19*

[namelist:jules_output_profile(4)]
file_period=-2
nvars=19
output_end='2012-12-29 00:00:00'
output_main_run=.true.
output_period=-2
output_spinup=.true.
output_start='1979-01-01 00:00:00'
output_type=19*'M'
profile_name='annual'
var='esoil_gb','npp_gb','gpp_gb','smc_avail_tot','t_soil',

='ftl_gb','fsmc_gb','tstar_gb','latent_heat','pstar',
='rad_net','precip','et_stom_gb','sw_net','lw_net',
='smc_avail_top','smcl','fqw_gb','tl1'

var_name=19*

Many thanks,

Becky

comment:7 Changed 4 months ago by pmcguire

Hi Rebecca
Can you give me permissions to read your roses and your cylc-run directory? This might mean that you'll have to give me permissions to read your home directory. You might want to check for sensitive or confidential items in your home directory beforehand and change permissions on those, so that others can't read them. The permissions I have on my home directory are:

drwxr-xr-- 1 pmcguire users 0 Sep 30 21:07 /home/users/pmcguire

Maybe you can set yours to be the same?
Thanks
Patrick

comment:8 Changed 4 months ago by pmcguire

Hi Becky:
You might also want to change your nprofiles from 1 to 4. That might fix things.
Does that work?
Patrick

Last edited 4 months ago by pmcguire (previous) (diff)

comment:9 Changed 4 months ago by pmcguire

Hi Becky
Did that work? Can I close the ticket?
Patrick

comment:10 Changed 3 months ago by rfu

Thanks for your help. Yes, please close the ticket.

Thanks,

Becky

comment:11 Changed 3 months ago by pmcguire

Rebecca:
Excellent! I am glad its working now.
Thanks,
Patrick

comment:12 Changed 3 months ago by pmcguire

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.